@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&family=Sniglet:wght@400;800&display=swap');

*{
    margin: 0;
    padding: 0;
}

body{
     font-family: "Roboto", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  background-color: #ced4da;
}

html{
      scroll-behavior:smooth ;

}
  
  



.container{
    padding-top: 90px;
width: 100%;
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
align-content: center;
text-align: center;
gap: 15px;
color: black;
  opacity: 0;           /* hide everything at first */
  pointer-events: none; /* prevent clicking while hidden */
  transition: opacity 0.5s ease;
}

.container.show {
  opacity: 1;
  pointer-events: auto;
}

header{
    width: 100%;
    height: 70px;
display: flex;
justify-content: center;
align-items: center;
background-color: white;
font-size: 1.1rem;
position: fixed;
top: 0px;
gap: 2%;
z-index: 1;
color: black;
}

header h3{
    margin-right: 13%;
        font-size: 1rem;

}

header .fa{
    font-size: 1.6rem;
}

.pulse {
  animation: pulse 0.3s; 
  /* transform-origin: center; */
}


@keyframes pulse {
  0% {
    transform: scale(1); 
  }
  70% {
    transform: scale(1.2); 
  }
  100% {
    transform: scale(1); 
  }
}

.wide-header{
display: none;

}

.wide-header a{
    color: black;
}


.splash-screen{
    position: fixed;
    z-index: 12;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    background-image: url('/images/salon.jpg');
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: auto;
  
      transition: 1s;
      color: white;
  }

.splash-screen-wrapper{
  position: absolute;
      display: flex;
    gap: 60px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;

  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  opacity: 1; 
}




  .splash-screen.active{
    bottom: 150px;
    opacity: 50%;
    transition: ease-in-out 1s;

  }


.splash-screen-text{
    font-size: 2.1rem;
}

  
  
  .splash-screen-logo{
    /* position: relative; */
    width: 45%;

    opacity: 0;
    border-radius: 50%;
    border: 3px solid white;
  }


  
  .splash-screen-logo.active{
    bottom: 0;
    opacity: 1;
    transition: ease-in-out 1s;
  
  }

    .hero-text{
        opacity: 0;
        font-size: 1.6rem;
        letter-spacing: 2px;
  }

  .hero-text.active{
        bottom: 0;
    opacity: 1;
    transition: ease-in-out 1s;
color: white;
  }

.hero{
    width: 90%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 400px;
    margin-top: 20px;
  min-height: clamp(360px, 60vh, 720px);
  background-image: url('/images/desktop.jpg');
  background-size: cover;           /* fills the box */
  background-repeat: no-repeat;
  background-position: center 0% 40%; 
  
}


@media (min-width: 1024px){
  .hero{
    background-image: url('images/desktop.jpg'); /* optional: a wider crop */
  }
}


.hero .hero-overlay{

display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
background-color: rgba(0, 0, 0, 0.237);
    height: 100%;
    width: 100%;
}



.hero-title{
width: 80%;
color: white;
font-size: 2.5rem;
}




.header-logo{
    width: 14%;
    height: 40px;
    border-radius: 50%;
}



.side-nav{
    background-color: black;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    gap:30px;
    justify-content: center;
    align-items: center;
    position: fixed;
    color: white;
    z-index: 11;
    top: 1px;
    left: 900px;
    transition: left 0.9s ease-in-out;;
}

.side-nav ul{
list-style: none;
text-decoration: none;
display: flex;
flex-direction: column;
gap: 15px;
font-size: 1.8rem;
}

.side-nav a{
    color: white;
}

.side-nav .side-nav-logo{
width: 150px;
height: 150px;
border-radius: 50%;
border: 4px solid white;
}

.close-nav-btn{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: white;
    color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    position: absolute;
top: 40px;
right: 30px;
}




.img-slider-section{
    width: 100%;
  position: relative;
  margin: auto;
  margin-top: 30px;
}


.img-slider-section .slide{
    font-size: 0px;
    cursor: pointer;
}

.slide img{
    height: 270px;
    object-fit: cover;
    margin-top: 30px;
    width: 60%;
    border-radius: 5px;
    border: 4px solid black;
}



.slider-btns-container{

width: 100%;
display: flex;
justify-content: center;
align-items: center;
gap: 65%;

}
.prev, .next {
  cursor: pointer;
  position: relative;
  top: -170px;
  width: auto;
  /* margin-top: -22px; */
  padding: 16px;
  color: black;
  font-weight: bold;
  font-size: 2.7rem;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.next {
  right: 0px;
  border-radius: 3px 0 0 3px;
}


.fade {
  animation-name: fade;
  animation-duration: 1.8s;
}

@keyframes fade {
  from {opacity: .4}
}

.services-section{
width: 100%;
background-color: black;
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
gap: 30px;
padding-top: 20px;
}

.service-item{
    
    width: 70%;
    background-color: #ced4da;
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
gap: 10px;

}

.service-img{
    width: 100%;
    height: 250px;
}

.service-name{
    position: relative;
    bottom: 30px;
    width: 50%;
    background-color: white;
    padding: 10px;
        box-shadow: 10px 10px 2px 0px;

}


.service-description{
    width: 70%;
    margin-bottom: 30px;
}

.service-item li{
    font-size: 2rem;
    padding: 10px;
    background-color: white;
}

.services-title {
    color: black;
    margin: 30px;
}

.see-more-appointment-btn{
    font-family: "Roboto", sans-serif;
    /* border-radius: 5px; */
    border: 2px solid black;
    font-size: 1.5rem;
    padding: 15px;
    margin: 60px;
    background-color: #f8f9fa;
    box-shadow: 10px 10px 1px 0px rgb(148, 146, 146);
    color: black;


}


 .gallery {
            width: 100%;
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;
            background-color: black;

        }

        .gallery-item {
            overflow: hidden;
            border-radius: 5px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        }

        .gallery-item img {
            width: 120px;
            height: auto;
            display: block;
            transition: transform 0.3s ease-in-out;
            margin:20px 10px 20px 10px;
        }

        .gallery-item img:hover {
            transform: scale(1.05);
        }

    

   

        .lightbox {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.9);
            display: none;
            justify-content: center;
            align-items: center;
            z-index: 1000;
        }

        .lightbox-content {
            max-width: 90%;
            max-height: 90%;
        }

        .lightbox-content img {
            display: block;
            width: auto;
            height: auto;
            max-width: 100%;
            max-height: 100%;
        }

        .lightbox-close {
            position: absolute;
            top: 20px;
            right: 30px;
            color: #fff;
            font-size: 30px;
            font-weight: bold;
            cursor: pointer;
        }

.barbers-title {
    margin: 30px;
color: black;
}

.barbers-section{
width: 100%;
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
gap: 20px;
color: black;
}

.barber{
    
    width: 75%;
    background-color: black;
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
gap: 10px;
color: white;
}

.barber-img{
    width: 100%;
    height: 230px;

}

.barber-name{
    position: relative;
    bottom: 30px;
    width: 50%;
    background-color: white;
    padding: 10px;
color: black;
        box-shadow: 10px 10px 2px 0px #495057;

}

.barber-description{
    width: 70%;
    margin-bottom: 30px;

}


.iframe-container{
display: flex;
justify-content: center;
align-items: center;
text-align: center;
flex-direction: column;
gap: 30px;
margin: 30px;

}
footer{
    background-color: black;
    color: white;
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding-top: 40px;
}

.footer-information{
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 30px;

}

footer ul li{
    text-decoration: none;
    
        display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 10px;
    color: #adb5bd;
}

footer ul{
    list-style: none;
        display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

footer ul h2{

    margin-bottom: 20px;
}

a{
    color: #adb5bd;
    text-decoration: none;
}

 .social-buttons {
            display: inline-block;
        }

        .social-button {
            display: inline-flex;
            justify-content: center;
            align-items: center;
            width: 40px;
            height: 40px;
            margin: 0 10px;
            border-radius: 50%;
            background-color: #333; 
            color: #fff;
            text-decoration: none;
            font-size: 20px;
            transition: background-color 0.3s ease;
        }

        .social-button.facebook {
            background-color: #1877F2;
        }


        .social-button.instagram {
            background: linear-gradient(45deg, #405DE6, #5851DB, #833AB4, #C13584, #E1306C, #FD1D1D);
        }



        .social-button:hover {
            opacity: 0.8;
        }

.copyright{
    margin-bottom: 40px;
}





@media (min-width: 375px) and (max-width: 576px) {
    
    header{
        width: 100%;
    }


   header h3{
            font-size: 1.2rem;

    }

header .header-logo{
    width: 12%;
}

  .side-nav a{
    color: white;
}




    footer ul{
        width: 80%;
    }
}



@media (min-width:659px) and (max-width: 991px) {
 header{
    gap:20px;
 }


header .header-logo{
    width: 10%;
}

header .fa{
    margin-left: 110px;
    font-size: 2rem;
}

header h3{
    font-size: 1.5rem;
}

}


@media (min-width: 992px) and (max-width: 1199px) {


    
}


@media (min-width: 1400px) and (max-width: 1600px) {

    .container{
        padding-top: 0px;
    }
.side-nav{
    display: none;
}


header{
    display: none;
}

.splash-screen{
    display: none;
}


.wide-header{
    width: 100%;
display: flex;
justify-content: center;
align-items: center;
height: 60px;
background-color: white;
gap: 10px;
font-size: 1.3rem;
padding: 10px 0px 10px 0px;
}

.wide-header ul{
display: flex;
list-style: none;
gap: 20px;
margin-left: 35%;
}

.wide-header ul li{
font-size: 1.4rem;
}

.wide-header img{
width: 4%;
height: 50px;


}

.wide-header a{
    color: black;
}


.hero-title{
width: 80%;
color: white;
font-size: 3rem;
margin-bottom: 120px;
}

.services-section{
    width: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
flex-direction: row;
    gap:80px;
padding: 50px;
}

.service-item{
width: 20%;
height: 460px;
}

.service-img{
    width: 100%;
    height: 270px;
}

.service-name{
font-size: 1rem;
padding: 10px;
width: 75%;
}


.service-description{
    height: 400px;
}

.service-item li{
}

.services-title {
}

.see-more-appointment-btn{
    font-family: "Roboto", sans-serif;
    /* border-radius: 5px; */
    border: 2px solid black;
    font-size: 1.5rem;
    padding: 15px;
    margin: 60px;
    background-color: #f8f9fa;
    box-shadow: 10px 10px 1px 0px rgb(148, 146, 146);
    color: black;


}

.img-slider-section{
    width: 100%;
}


.img-slider-section .slide{
}

.slide img{
    width: 300px;
    height: 300px;
}

.slider-btns-container{
    gap: 350px;
}
.prev, .next {
    font-size: 3rem;
    top: -200px;
}

.next {
}
    
 .gallery {
            width: 90%;
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;
            gap:90px;
            background-color: black;
            padding: 50px;
        }

        .gallery-item {
            border-radius: 5px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        }

        .gallery-item img {
            width: 270px;
            height: auto;
            display: block;
            transition: transform 0.3s ease-in-out;
        }

        .gallery-item img:hover {
            transform: scale(1.05);
        }

#lightbox-image{
    width: 600px;
    height: 600px;
}


.barbers-title {
}

.barbers-section{
    flex-direction: row;
    flex-wrap: wrap;
    gap: 70px;
    width: 100%;
}

.barber{
width: 25%;
}

.barber-img{

}

.barber-name{

}

.barber-description{
font-size: 1.3rem;
}

iframe{
    width: 450px;
    height: 450px;
}





}